cpw.mods.fml.client

## Class GuiScrollingList

- java.lang.Object
- - cpw.mods.fml.client.GuiScrollingList

- Direct Known Subclasses:
    GuiModOptionList, GuiSlotModList

      public abstract class GuiScrollingList
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bottom`
    `protected int` | `left`
    `protected int` | `listHeight`
    `protected int` | `listWidth`
    `protected int` | `mouseX`
    `protected int` | `mouseY`
    `protected int` | `slotHeight`
    `protected int` | `top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScrollingList(Minecraft client, int width, int height, int top, int bottom, int left, int entryHeight)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(GuiButton button)`
    `protected abstract void` | `drawBackground()`
    `protected void` | `drawGradientRect(int par1, int par2, int par3, int par4, int par5, int par6)`
    `void` | `drawScreen(int mouseX, int mouseY, float p_22243_3_)`
    `protected abstract void` | `drawSlot(int var1, int var2, int var3, int var4, Tessellator var5)`
    `protected abstract void` | `elementClicked(int index, boolean doubleClick)`
    `protected void` | `func_27255_a(int p_27255_1_, int p_27255_2_)`
    `int` | `func_27256_c(int p_27256_1_, int p_27256_2_)`
    `protected void` | `func_27257_b(int p_27257_1_, int p_27257_2_)`
    `void` | `func_27258_a(boolean p_27258_1_)`
    `protected void` | `func_27259_a(boolean p_27259_1_, int p_27259_2_)`
    `protected void` | `func_27260_a(int p_27260_1_, int p_27260_2_, Tessellator p_27260_3_)`
    `protected int` | `getContentHeight()`
    `protected abstract int` | `getSize()`
    `protected abstract boolean` | `isSelected(int index)`
    `void` | `registerScrollButtons(java.util.List p_22240_1_, int p_22240_2_, int p_22240_3_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listWidth

          protected final int listWidth

    - #### listHeight

          protected final int listHeight

    - #### top

          protected final int top

    - #### bottom

          protected final int bottom

    - #### left

          protected final int left

    - #### slotHeight

          protected final int slotHeight

    - #### mouseX

          protected int mouseX

    - #### mouseY

          protected int mouseY

  - ### Constructor Detail

    - #### GuiScrollingList

          public GuiScrollingList(Minecraft client,
                          int width,
                          int height,
                          int top,
                          int bottom,
                          int left,
                          int entryHeight)

  - ### Method Detail

    - #### func_27258_a

          public void func_27258_a(boolean p_27258_1_)

    - #### func_27259_a

          protected void func_27259_a(boolean p_27259_1_,
                          int p_27259_2_)

    - #### getSize

          protected abstract int getSize()

    - #### elementClicked

          protected abstract void elementClicked(int index,
                            boolean doubleClick)

    - #### isSelected

          protected abstract boolean isSelected(int index)

    - #### getContentHeight

          protected int getContentHeight()

    - #### drawBackground

          protected abstract void drawBackground()

    - #### drawSlot

          protected abstract void drawSlot(int var1,
                      int var2,
                      int var3,
                      int var4,
                      Tessellator var5)

    - #### func_27260_a

          protected void func_27260_a(int p_27260_1_,
                          int p_27260_2_,
                          Tessellator p_27260_3_)

    - #### func_27255_a

          protected void func_27255_a(int p_27255_1_,
                          int p_27255_2_)

    - #### func_27257_b

          protected void func_27257_b(int p_27257_1_,
                          int p_27257_2_)

    - #### func_27256_c

          public int func_27256_c(int p_27256_1_,
                         int p_27256_2_)

    - #### registerScrollButtons

          public void registerScrollButtons(java.util.List p_22240_1_,
                                   int p_22240_2_,
                                   int p_22240_3_)

    - #### actionPerformed

          public void actionPerformed(GuiButton button)

    - #### drawScreen

          public void drawScreen(int mouseX,
                        int mouseY,
                        float p_22243_3_)

    - #### drawGradientRect

          protected void drawGradientRect(int par1,
                              int par2,
                              int par3,
                              int par4,
                              int par5,
                              int par6)